Synthesis AG - SyncML Discussion Forum

Synthesis AG - SyncML Discussion Forum (http://forum.synthesis.ch/index.php)
-   SyncML-Server (Linux, Windows, MacOS X) (http://forum.synthesis.ch/forumdisplay.php?f=6)
-   -   SyncML error 10401/0x28A1 (http://forum.synthesis.ch/showthread.php?t=40)

paxton 2006-09-15 12:27

SyncML error 10401/0x28A1
 
Hallo,

ich habe versucht, den c't Server auf einem Debian System zu installieren, bekomme aber nach dem Starten des Democlients folgende Fehlermeldung:

10401/0x28A1

Wenn ich im logfile des Servers angucke steht dort u.a. folgendes. Leider reichen meine Linuxkenntnisse nicht aus, um zu verstehen, was genau "veraltet" ist?

Code:

[2006-09-14 20:22:01] closeODBCConnection: SQLEndTran failed: ODBC SQL return code = -1
- SQLState = HYC00, NativeError=536, Message = [MySQL][ODBC 3.51 Driver]Underlying server does not support transactions, upgrade to version >= 3.23.38

Danke!

luz 2006-10-05 16:51

Re: SyncML error 10401/0x28A1
 
Code:

Underlying server does not support transactions, upgrade to version >= 3.23.38
Soweit ich das sehe, bezieht sich das auf die Version des MySQL-Servers. Der ist auf dem System offenbar relativ alt.

paxton 2006-10-05 17:23

Re: SyncML error 10401/0x28A1
 
Komisch, denn der MySQL Server hat tatsächlich die Version 4.1.11-Debian_4sarge7-log...

luz 2006-10-07 12:52

Re: SyncML error 10401/0x28A1
 
Seltsam. Sind auch die anderen Komponenten (MyODBC vor allem und evtl. UnixODBC/iODBC) aktuelle Sarge-Pakete? Sarge ist unsere Referenzplattform, und der c't-Server ist ja auch ein Sarge.

Könnte es sein dass die zitierte Fehlermeldung ein Folgefehler ist? Suche mal im Log nach dem Wort "Warning", vielleicht hat es noch andere Stellen wo etwas schiefgeht.

TheGrue 2006-10-14 20:54

Re: SyncML error 10401/0x28A1
 
Ich bekomme genau den gleichen Fehler:

Quote:


[2006-10-14 19:32:17] closeODBCConnection: SQLEndTran failed: ODBC SQL return code = -1
- SQLState = HYC00, NativeError=536, Message = [MySQL][ODBC 3.51 Driver]Underlying server does not support transactions, upgrade to version >= 3.23.38

Die Versionen meiner Pakete sind:

ii libmysqlclient12 4.0.24-10sarge2 mysql database client library
ii mysql-client 4.0.24-10sarge2 mysql database client binaries
ii mysql-common 4.0.24-10sarge2 mysql database common files
ii mysql-server 4.0.24-10sarge2 mysql database server binaries
ii libmyodbc 3.51.09-1 the MySQL ODBC driver
ii odbcinst1 2.2.4-11 Support library and helper program for accessing odbc
ii unixodbc 2.2.4-11 ODBC tools libraries


Alle sind auf dem neuesten Stand... :confused:

Ach ja: es kommt kein "warning" im log vor.

Ich habe noch folgendes in /etc/odbcinst.ini eingetragen:

[ODBC]
Trace = Yes
TraceFile = /tmp/sql.log

Auszug aus /tmp/sql.log:

[ODBC][10465][SQLEndTran.c][485]
Exit:[SQL_ERROR]
DIAG [HYC00] [unixODBC][MySQL][ODBC 3.51 Driver]Underlying server does not support transactions, upgrade to version >= 3.23.38

luz 2006-10-21 00:33

Re: SyncML error 10401/0x28A1
 
Könnte ich mal ein ganzes Session-Log sehen? Eventuell ist der ODBC-Fehler ein Folgefehler von etwas, was vorher passiert. Evtl. direkt an support@synthesis.ch senden, weil allzu lange Attachments hier im Forum nicht viel Sinn machen.


All times are GMT +2. The time now is 20:43.

Powered by vBulletin® Version 3.7.0
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.